Open Infrastructure - Task #7580

Preparing for matrix-as-a-service
01/07/2020 12:53 PM - Timothée Floure

Status: Closed Start date: 01/07/2020
Priority: High Due date:

Assignee: Timothée Floure % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description
Once matrix is deployed at ungleich:

e Build & document MaaS deployment and maintenance pipeline.
- Wiki page.
- A staging environment will be required to test upgrades.

¢ 1 or 2 blog entries about it? First one maybe a bit more as introduction, why we want to support matrix and second one more
about the technical details? (quoting Nico here)

e Be mentionned in "This Week In Matrix" (Weekly matrix news) and on https://matrix.org/docs/projects/hosting/
- We should emphasize on the decent/green (hydro/old building/second-hand servers/...) factor, as | expect it will interest some
(sub-)communities.

e Upstream "__matrix_*" cdist types.

¢ Investigate the application services we could offer.

*

Feel free to put this task in another project if it doesn't fit here.

History

#1 - 01/08/2020 11:17 AM - Timothée Floure

We'll also need a TURN server for VoIP.

#2 - 01/08/2020 11:27 AM - Nico Schottelius

Can we do voip in a second stage or will things "look weird" without it?

redmine@ungleich.ch writes:

#3 - 01/08/2020 12:21 PM - Timothée Floure

We can do-it in a second-stage, witout a TURN server VolP might or might not work depending on the situation.

Note that coturn is easy to deploy: https://github.com/matrix-org/synapse/blob/master/docs/turn-howto.md

#4 - 01/12/2020 09:10 PM - Timothée Floure

¢ Synapse and Matrix Cdist types are (almost) OK.
- | missed one small thing in my __postgres upstream cdist patch, which still have to be fixed.

¢ Early documentation on https://redmine.ungleich.ch/projects/open-infrastructure/wiki/The _ungleich_Matrix_infrastructure and
https://redmine.ungleich.ch/projects/open-infrastructure/wiki/Ungleich_Matrix-as-a-Service_(MaaS)

e Mattebridge Cdist type is OK and can easily be offered with MaaS.

matrix.ungleich.ch deployed, bridged with chat.ungleich.ch

- We have to decide the matrix-mattermost channel map (= what do we want to bridge?).

matrix-staging.ungleich.ch is deployed and will be used for testing.

| will try to write the matrix/Maa$S blog post on wednesday in the train to Glarus.

There is no monitoring, | will have to discuss with @Nico Schottelius and write some documentation before | can do that.

We will need a visual for https://matrix.org/docs/projects/hosting/

matrix-turn.ungleich.ch is allocated (v4+v6) but does not run coturn yet.

¢ We need a pricing model.

#5 - 01/12/2020 09:11 PM - Timothée Floure

- Status changed from New to In Progress

#6 - 01/12/2020 09:18 PM - Nico Schottelius
channels that can be exported to IRC or matrix:

® ipv6

foss
hacking-and-learning
Town Square
datacenterlight
uncloud

More maybe later

#7 - 02/24/2020 08:28 AM - Timothée Floure

Moving monitoring to #7768 so that | can close this one.

#8 - 02/24/2020 08:29 AM - Timothée Floure

- Status changed from In Progress to Closed
